<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>

<jsp:include page="/jsp/jspUtils/header.jsp" flush="true"/>

<br><br><br>

<center>

<f:view>


<h:panelGroup id="body">
    <h:outputText value="Refund status: #{refundTransactionForm.ack}"/>
</h:panelGroup>

<f:verbatim><br><br></f:verbatim>

<h:panelGrid id="errorGrid" columns="1" border="1" columnClasses="BlueTitleBar" 
rendered="#{refundTransactionForm.renderErrorTable}" 
cellpadding="0" cellspacing="0" styleClass="dataGridTable" >
<h:outputText rendered="#{refundTransactionForm.renderErrorTable}"  value="Error message received from PayPal server"/> 

<t:dataTable id="errorData" value="#{refundTransactionForm.errorDataModel}" 
    rendered="#{refundTransactionForm.renderErrorTable}" 
    var="errorList" border="1" cellpadding="1" cellspacing="1" width="100%" 
    styleClass="dataGridTable" 
    headerClass="BlueTitleBarBottomRight" 
    columnClasses="cellPlainText, cellPlainText"
    rowOnMouseOver="this.style.backgroundColor='#A5CBFF'"
    rowOnMouseOut="this.style.backgroundColor='#FFFFE0'">
    <t:column>
        <f:facet name="header">
        <h:outputText value="Error Code"/>
        </f:facet>
        <h:outputText id="errorCode"
           value="#{errorList.errorCode}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Severity Code"/>
        </f:facet>
        <h:outputText id="severityCode"
           value="#{errorList.severityCode}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Short Message"/>
        </f:facet>
        <h:outputText id="shortMessage"
           value="#{errorList.shortMessage}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Long Message"/>
        </f:facet>
        <h:outputText id="longMessage"
           value="#{errorList.longMessage}"/>
    </t:column>
</t:dataTable>
</h:panelGrid>
</f:view>

</center>
</body>
</html>